@use '../../../global/styles/styles-variables'as *;
@use 'styles/navigation-pagination.variables'as *;

:host {
	@include digi-navigation-pagination--variables;


	.digi-navigation-pagination__result {
		font-family: var(--digi--global--typography--font-family--default);
		text-align: var(--digi--navigation-pagination--result--text-align);
		font-size: var(--digi--typography--tag--font-size--desktop);
		margin: var(--digi--navigation-pagination--result--margin);

		&--pages {
			--digi--navigation-pagination--result--margin: var(--digi--navigation-pagination--result--pages--margin);
		}

		strong {
			font-weight: var(--digi--navigation-pagination--result--strong--font-weight);
		}
	}
}

.digi-navigation-pagination__pagination {
	:host & {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		min-width: 290px;
		gap: 4px;

		&.digi-navigation-pagination--two-rows {
			.digi-navigation-pagination__pages {
				order: -1;
				flex: 1 0 100%;
				margin: var(--digi--navigation-pagination--pages--margin);
				display: flex;
				justify-content: center;
			}
		}
	}
}

.digi-navigation-pagination__button {
	--digi--button--padding--medium: var(--digi--navigation-pagination--button--padding);
	--digi--button--display: var(--digi--navigation-pagination--button--display);
	--digi--button--width: var(--digi--navigation-pagination--button--width);
	--digi--button--min-height--small: var(--digi--navigation-pagination--button--page-button--height);
	--digi--button--justify-content--default: var(--digi--navigation-pagination--button--justify-content--default);

	&--hidden {
		visibility: hidden;
	}

	&--previous {
		// margin-right: var(--digi--navigation-pagination--button--margin);
		--digi--button--border-radius--secondary--default: var(--digi--navigation-pagination--button--previous-button--border-radius);
		--digi--button--border-radius--secondary--hover: var(--digi--navigation-pagination--button--previous-button--border-radius);
	}

	&--next {
		// margin-left: var(--digi--navigation-pagination--button--margin);
		--digi--button--border-radius--secondary--default: var(--digi--navigation-pagination--button--next-button--border-radius);
		--digi--button--border-radius--secondary--hover: var(--digi--navigation-pagination--button--next-button--border-radius);
	}

	::slotted([slot^='icon']) {
		--digi--icon--width: var(--digi--navigation-pagination--button--icon--width);
	}

}

.digi-navigation-pagination__page-button {
	--digi--button--border-radius--secondary--default: var(--digi--navigation-pagination--button--page-button--border-radius);
	--digi--button--border-radius--primary--default: var(--digi--navigation-pagination--button--page-button--border-radius);
	--digi--button--border-radius--secondary--hover: var(--digi--navigation-pagination--button--page-button--border-radius);
	--digi--button--border-radius--primary--hover: var(--digi--navigation-pagination--button--page-button--border-radius);
	--digi--button--width: var(--digi--navigation-pagination--button--page-button--width);
	
	// --digi--button--padding--medium: var(--digi--navigation-pagination--button--page-button--padding);
	--digi--button--font-size--medium: 14px;
	--digi--button--padding--medium: calc(var(--digi--gutter--medium) - 1px) 0;
	--digi--button--align-items: center;
	// margin: var(--digi--navigation-pagination--button--page-button--margin);
	
	display: inline-block;
	text-align: center;
	letter-spacing: -1px;



	// &--compressed {
	// 	--digi--button--padding--medium: var(--digi--navigation-pagination--button--page-button--padding--compressed);
	// 	--digi--button--width: var(--digi--navigation-pagination--button--page-button--width--compressed);
	// }




	.ellipsis-first & {
		// --digi--button--padding--medium: var(--digi--navigation-pagination--button--page-button--padding--compressed);


		.digi-navigation-pagination__page-text:after {
			content: '\2026';

		}
	}



	.ellipsis-last & {
		// --digi--button--padding--medium: var(--digi--navigation-pagination--button--page-button--padding--compressed);


		.digi-navigation-pagination__page-text:before {
			content: '\2026';

		}
	}

}

.digi-navigation-pagination__page-list {
	:host & {
		display: flex;
		list-style: none;
		padding: var(--digi--navigation-pagination--page-list--padding);
		margin: var(--digi--navigation-pagination--page-list--margin);
		gap: 4px;


	}
}



.digi-navigation-pagination__aria-label {
	clip: rect(0 0 0 0);
	height: 1px;
	padding: 0;
	white-space: nowrap;
	width: 1px;
	overflow: hidden;
	position: absolute;
}


